VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec Class Reference

The `Scsi.UpdateSpec` class describes the updates to be made to the configuration of a virtual SCSI adapter. More...

List of all members.

## Public Member Functions
| UpdateSpec ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing | GetSharing ()
| Bus sharing mode.
void | SetSharing (vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing sharing)
| Bus sharing mode.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Scsi.UpdateSpec` class describes the updates to be made to the configuration of a virtual SCSI adapter.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::UpdateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::GetSharing | ( |  | ) | `[inline]`

Bus sharing mode.

This field may only be modified if the virtual machine is not powered on.

void vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::SetSharing | ( | vmware.vcenter.vm.hardware.adapter.ScsiTypes.Sharing | sharing | ) | `[inline]`

Bus sharing mode.

This field may only be modified if the virtual machine is not powered on.

override string vmware::vcenter::vm::hardware::adapter::ScsiTypes::UpdateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ScsiTypes.cs